body {
  margin: 0;
  font-family: 'Spartan', -apple-system, BlinkMacSystemFont, 'Segoe UI', 'Roboto', 'Oxygen',
  'Ubuntu', 'Cantarell', 'Fira Sans', 'Droid Sans', 'Helvetica Neue',
  sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

code {
  font-family: source-code-pro, Menlo, Monaco, Consolas, 'Courier New',
  monospace;
}

/*Modern scrollbar*/
::-webkit-scrollbar {
  width: 5px;
}

::-webkit-scrollbar-track {
  background: #fff;
}

::-webkit-scrollbar-thumb {
  background: #071a34;
  border-radius: 0;
}

.loader__wrapper {
  position: relative;
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  vertical-align: middle;
  height: 100vh;
}

.preloader-abs {
  position: absolute !important;
}

.in-page {
  margin: 0;
  height: unset;
}

.icon__container {
  margin-bottom: 50px;
  font-size: 8em;
  transform-origin: center;
  z-index: 1;
}

.icon--computer img {
  margin-bottom: 250px;
  z-index: 1;
  animation: cloud--color-change 3s ease-in-out infinite;
}

.number__wrapper {
  display: flex;
  flex-direction: row;
  justify-content: space-around;
  align-items: center;
  width: 100px;
  height: 100px;
  position: absolute;
}

.number {
  font-family: 'Spartan', sans-serif;
  font-size: 1.1em;
  color: #071a34;
  transform: translateY(70px);
  animation: rising-numbers 0.7s linear infinite;
}

.number::before {
  content: '1';
}

.number:nth-child(even)::before {
  content: '0';
}

.number:nth-child(2) {
  animation-delay: 0.3s;
}

.number:nth-child(3) {
  animation-delay: 0.1s;
}

.number:nth-child(4) {
  animation-delay: 0.6s;
}

.number:nth-child(5) {
  animation-delay: 0.4s;
}


.react-rotating-text-cursor {
  animation: blinking-cursor 0.8s cubic-bezier(0.68, 0.01, 0.01, 0.99) 0s infinite;
}

@keyframes blinking-cursor {
  0% {
    opacity: 0;
  }
  50% {
    opacity: 1;
  }
  100% {
    opacity: 0;
  }
}

@keyframes rising-numbers {
  from {
    transform: translateY(-70px);
    opacity: 0;
  }
  to {
    transform: translateY(70px);
    opacity: 1;
  }
}

@keyframes cloud--color-change {
  0% {
    opacity: 1;
  }
  50% {
    opacity: 0.3;
  }
  100% {
    opacity: 1;
  }
}

#root {
  transition: opacity ease-in 0.5s;
  opacity: 0;
}


#preloader {
  transition: all 1s;
  z-index: 1000;
  background: white;
}

#CookieConsent {
  transition: opacity ease-in 0.5s;
  opacity: 0;
}

/*#root:not(:empty) + #preloader {*/
/*    transition: all 0.5s;*/
/*    opacity: 0;*/
/*}*/
